# Uses of Class
org.eclipse.net4j.signal.Signal

Packages that use Signal
Package
Description
org.eclipse.net4j.signal
A framework for request/response based communication on top of the Net4j transport layer.
org.eclipse.net4j.signal.confirmation
Reusable implementation of a server-to-client confirmation signal and related API.
org.eclipse.net4j.signal.security
Reusable implementation of a server-to-client authentication signal and related API.

## Uses of Signal in org.eclipse.net4j.signal

Subclasses of Signal in org.eclipse.net4j.signal
Modifier and Type
Class
Description
`class`
`AcknowledgeCompressedStringsIndication`
`class`
`AcknowledgeCompressedStringsRequest`
`class`
`Indication`
Represents the receiver side of a one-way `signal`, i.e., one with no response.
`class`
`IndicationWithMonitoring`
Represents the receiver side of a two-way `signal` with additional support for remote progress monitoring.
`class`
`IndicationWithResponse`
Represents the receiver side of a two-way `signal`, i.e., one with a response.
`class`
`MonitorCanceledIndication`
`class`
`MonitorCanceledRequest`
`class`
`MonitorProgressIndication`
`class`
`MonitorProgressRequest`
`class`
`Request`
Represents the sender side of a one-way `signal`, i.e., one with no response.
`class`
`RequestWithConfirmation<RESULT>`
Represents the sender side of a two-way `signal`, i.e., one with a response.
`class`
`RequestWithMonitoring<RESULT>`
Represents the sender side of a two-way `signal` with additional support for remote progress monitoring.
`class`
`SignalActor`
Represents the sender side of a `signal`.
`class`
`SignalReactor`
Represents the receiver side of a `signal`.
Methods in org.eclipse.net4j.signal that return Signal
Modifier and Type
Method
Description
`Signal`
SignalFinishedEvent.`getSignal()`
`Signal`
SignalScheduledEvent.`getSignal()`
Method parameters in org.eclipse.net4j.signal with type arguments of type Signal
Modifier and Type
Method
Description
`int`
SignalCounter.`getCountFor(Class<? extends Signal> signal)`
`int`
SignalCounter.`removeCountFor(Class<? extends Signal> signal)`

## Uses of Signal in org.eclipse.net4j.signal.confirmation

Subclasses of Signal in org.eclipse.net4j.signal.confirmation
Modifier and Type
Class
Description
`class`
`ConfirmationIndication<PROTOCOL extends SignalProtocol<?> & org.eclipse.net4j.util.confirmation.IConfirmationProvider.Provider>`
`class`
`ConfirmationRequest`

## Uses of Signal in org.eclipse.net4j.signal.security

Subclasses of Signal in org.eclipse.net4j.signal.security
Modifier and Type
Class
Description
`class`
`AuthenticationIndication`
`class`
`AuthenticationRequest`